Records
Bulk Update Records
Update up to 100 existing records in a single request using either table ID or table name.
PUT
/
bases
/
{databaseId}
/
tables
/
{tableId}
/
records
/
bulk
Bulk update records
curl --request PUT \
--url https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"records": [
{
"recordId": "d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb",
"Priority": "low",
"Email": "john.doe@newcompany.com"
}
]
}
'import requests
url = "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk"
payload = { "records": [
{
"recordId": "d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb",
"Priority": "low",
"Email": "john.doe@newcompany.com"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
records: [
{
recordId: 'd4b3c2a3-c46b-46a1-a8ec-81b664bb41cb',
Priority: 'low',
Email: 'john.doe@newcompany.com'
}
]
})
};
fetch('https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"records": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"fwtJyga6dso": "John Doe",
"k8mNp2xQ9rL": "john.doe@newcompany.com",
"vB3zXc7Hf2w": "low"
},
"fields": {
"Name": "John Doe",
"Email": "john.doe@newcompany.com",
"Priority": "low"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Each record requires a
recordId (a valid UUID). All other keys are treated as field updates, using field names or field IDs as keys. Only include the fields you want to change.{
"records": [
{
"recordId": "d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb",
"Priority": "low",
"Email": "john.doe@newcompany.com"
}
]
}
Authorizations
Enter your Zite API key. Format: Bearer <api_key>
Path Parameters
The unique identifier of the database
The unique identifier of the table. You can also use the table name instead of the ID.
Body
application/json
The records to update. Each entry must include the recordId to update plus the fields to change (using field names or field IDs as keys).
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
⌘I
Bulk update records
